# OSGeo::FDO::Xml::XmlFlags Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlFlags:

[legend]

List of all members.

## Detailed Description

XmlFlags defines various options for serializing and deserializing FDO element to and from XML Documents.

()

## Public Types
enum | ErrorLevel { ErrorLevel_High = FdoXmlFlags::ErrorLevel_High, ErrorLevel_Normal = FdoXmlFlags::ErrorLevel_Normal, ErrorLevel_Low = FdoXmlFlags::ErrorLevel_Low, ErrorLevel_VeryLow = FdoXmlFlags::ErrorLevel_VeryLow }
| The XmlFlags::ErrorLevel determines how strict the error reporting is when a Feature Schema is read from an XML Document. For each errorLevel a certain level of round-trip fidelity is guaranteed if the read succeeds. More...
## Public Member Functions
__property OSGeo::FDO::Xml::XmlFlags::ErrorLevel | get_Errorlevel ()
| Gets the current error level, see XmlFlags::Create().
__property System::Boolean | get_NameAdjust ()
| Gets the name adjustment flag, see XmlFlags::Create().
__property OSGeo::FDO::Commands::Schema::PhysicalSchemaMappingCollection * | get_SchemaMappings ()
| Gets the current Schema Mapping Overrides.
__property System::Boolean | get_SchemaNameAsPrefix ()
| Gets the Schema Name as Prefix flag.
__property System::String * | get_Url ()
| Gets the target namespace prefix, see XmlFlags::Create().
__property System::Boolean | get_UseGmlId ()
| Gets the Use GML ID flag.
__property System::Void | set_Errorlevel (OSGeo::FDO::Xml::XmlFlags::ErrorLevel value)
| Sets the error level, see XmlFlags::Create().
__property System::Void | set_NameAdjust (System::Boolean nameAdjust)
| Sets the name adjustment flag, see XmlFlags::Create().
__property System::Void | set_SchemaMappings (OSGeo::FDO::Commands::Schema::PhysicalSchemaMappingCollection *mappings)
| Sets the Schema Mapping Overrides for translating schemas between GML and FDO.
__property System::Void | set_SchemaNameAsPrefix (System::Boolean schemaNameAsPrefix)
| Sets the Schema Name as Prefix flag. This flag controls how an FDO Feature Schema name is generated when the schema is read from GML.
__property System::Void | set_Url (System::String *location)
| Sets the target namespace prefix, see XmlFlags::Create().
__property System::Void | set_UseGmlId (System::Boolean id)
| Sets the Use GML ID flag.
| XmlFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel, System::Boolean nameAdjust)
| Constructs an XmlFlags object.
| XmlFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel)
| Constructs an XmlFlags object.
| XmlFlags (System::String *location)
| Constructs an XmlFlags object.
| XmlFlags ()
| Constructs an XmlFlags object.